org.jboss.jca.core.connectionmanager.pool.capacity

## Class SizeIncrementer

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.pool.capacity.SizeIncrementer

- All Implemented Interfaces:
    CapacityIncrementer

      public class SizeIncrementer
      extends java.lang.Object
      implements CapacityIncrementer

  Increment until the defined number of connection has been created. Default value is 1
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SizeIncrementer()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSize(int v)` Set the size
    `boolean` | `shouldCreate(int currentSize, int maxSize, int created)` Should the connection listener be created
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SizeIncrementer

          public SizeIncrementer()

      Constructor

  - ### Method Detail

    - #### setSize

          public void setSize(int v)

      Set the size
      Parameters:
        `v` - The value

    - #### shouldCreate

          public boolean shouldCreate(int currentSize,
                                      int maxSize,
                                      int created)

      Should the connection listener be created
      Specified by:
        `shouldCreate` in interface `CapacityIncrementer`
      Parameters:
        `currentSize` - The current pool size
        `maxSize` - The maximum pool size
        `created` - The number of connection listeners created during this call cycle
      Returns:
        `True` if a connection listener should be created; otherwise `false`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)